Loading...
Searching...
No Matches
Error Types
Globus XIO » Globus XIO HTTP Driver

Error Types. More...

## Enumerations

enum | globus_xio_http_errors_t { GLOBUS_XIO_HTTP_ERROR_INVALID_HEADER , GLOBUS_XIO_HTTP_ERROR_PARSE , GLOBUS_XIO_HTTP_ERROR_NO_ENTITY , GLOBUS_XIO_HTTP_ERROR_EOF , GLOBUS_XIO_HTTP_ERROR_PERSISTENT_CONNECTION_DROPPED }

## Detailed Description

Error Types.

In addition to errors generated by underlying protocol drivers, the XIO HTTP driver defines a few error conditions specific to the HTTP protocol.

See also
  globus_xio_driver_error_match()

## Enumeration Type Documentation

## globus_xio_http_errors_t

enum globus_xio_http_errors_t

Error types used to generate errors using the globus_error_generic module.

Enumerator
GLOBUS_XIO_HTTP_ERROR_INVALID_HEADER | An attempt to set a header which is not compatible with the HTTP version being used.
GLOBUS_XIO_HTTP_ERROR_PARSE | Error parsing HTTP protocol
GLOBUS_XIO_HTTP_ERROR_NO_ENTITY | There is no entity body to read or write.
GLOBUS_XIO_HTTP_ERROR_EOF | Server side fake EOF
GLOBUS_XIO_HTTP_ERROR_PERSISTENT_CONNECTION_DROPPED | Persistent connection dropped by the server.